<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>OsgiPluginConvention (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="OsgiPluginConvention (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/osgi/OsgiPlugin.html" title="class in org.gradle.api.plugins.osgi"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/osgi/OsgiPluginConvention.html" target="_top">Frames</a></li>
<li><a href="OsgiPluginConvention.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins.osgi</div>
<h2 title="Class OsgiPluginConvention" class="title">Class OsgiPluginConvention</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.osgi.OsgiPluginConvention</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">OsgiPluginConvention</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Is mixed into the project when applying the <a href="../../../../../org/gradle/api/plugins/osgi/OsgiPlugin.html" title="class in org.gradle.api.plugins.osgi"><code>OsgiPlugin</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/plugins/osgi/OsgiPluginConvention.html#OsgiPluginConvention(org.gradle.api.internal.project.ProjectInternal)">OsgiPluginConvention</a></strong>(org.gradle.api.internal.project.ProjectInternal&nbsp;project)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi">OsgiManifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/osgi/OsgiPluginConvention.html#osgiManifest()">osgiManifest</a></strong>()</code>
<div class="block">Creates a new instance of <a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi"><code>OsgiManifest</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi">OsgiManifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/osgi/OsgiPluginConvention.html#osgiManifest(org.gradle.api.Action)">osgiManifest</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi">OsgiManifest</a>&gt;&nbsp;action)</code>
<div class="block">Creates and configures a new instance of an  <a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi"><code>OsgiManifest</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi">OsgiManifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/osgi/OsgiPluginConvention.html#osgiManifest(groovy.lang.Closure)">osgiManifest</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Creates and configures a new instance of an  <a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi"><code>OsgiManifest</code></a> .</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OsgiPluginConvention(org.gradle.api.internal.project.ProjectInternal)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OsgiPluginConvention</h4>
<pre>public&nbsp;OsgiPluginConvention(org.gradle.api.internal.project.ProjectInternal&nbsp;project)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="osgiManifest()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>osgiManifest</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi">OsgiManifest</a>&nbsp;osgiManifest()</pre>
<div class="block">Creates a new instance of <a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi"><code>OsgiManifest</code></a>. The returned object is preconfigured with:
 <pre>
 version: project.version
 name: project.archivesBaseName
 symbolicName: project.group + "." + project.archivesBaseName (see below for exceptions to this rule)
 </pre>

 The symbolic name is usually the group + "." + archivesBaseName, with the following exceptions
 <ul>
 <li>if group has only one section (no dots) and archivesBaseName is not null then the
 first package name with classes is returned. eg. commons-logging:commons-logging -&gt;
 org.apache.commons.logging</li>
 <li>if archivesBaseName is equal to last section of group then group is returned. eg.
 org.gradle:gradle -&gt; org.gradle</li>
 <li>if archivesBaseName starts with last section of group that portion is removed. eg.
 org.gradle:gradle-core -&gt; org.gradle.core</li>
 </ul></div>
</li>
</ul>
<a name="osgiManifest(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>osgiManifest</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi">OsgiManifest</a>&nbsp;osgiManifest(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Creates and configures a new instance of an  <a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi"><code>OsgiManifest</code></a> . The closure configures
 the new manifest instance before it is returned.</div>
</li>
</ul>
<a name="osgiManifest(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>osgiManifest</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi">OsgiManifest</a>&nbsp;osgiManifest(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi">OsgiManifest</a>&gt;&nbsp;action)</pre>
<div class="block">Creates and configures a new instance of an  <a href="../../../../../org/gradle/api/plugins/osgi/OsgiManifest.html" title="interface in org.gradle.api.plugins.osgi"><code>OsgiManifest</code></a>. The action configures
 the new manifest instance before it is returned.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/osgi/OsgiPlugin.html" title="class in org.gradle.api.plugins.osgi"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/osgi/OsgiPluginConvention.html" target="_top">Frames</a></li>
<li><a href="OsgiPluginConvention.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
